#ifndef _EZSMC_STATUS_
#define _EZSMC_STATUS_
#define _WIN32_WINNT 0x0400

#ifndef IFDTEST_SMC
#include <windows.h>
#endif

typedef DWORD EZSMC_STATUS;


#define EZSMC_SUCCESS				(EZSMC_STATUS)0x00000000

//
//   The COM Port can not open
//
#define EZSMC_COMM_OPEN_FAIL        (EZSMC_STATUS)0x00000001

//
//   The supplied handle was invalid   
//
#define EZSMC_INVALID_HANDLE        (EZSMC_STATUS)0x00000002

//
//   One or more of the supplied parameters could not be properly interpreted
//
#define EZSMC_INVALID_PARAMETER     (EZSMC_STATUS)0x00000003

//
//   Not enough memory available to complete this command 
//
#define EZSMC_NO_MEMORY             (EZSMC_STATUS)0x00000004

//
//   The user-specified timeout value has expired
//
#define EZSMC_TIMEOUT               (EZSMC_STATUS)0x00000005

//
//   The data buffer to receive returned data is too small for the returned data
//
#define EZSMC_BUFFER_TOO_SMALL      (EZSMC_STATUS)0x00000006

//
//   The specified reader name is not recognized
//
#define EZSMC_UNKNOWN_READER        (EZSMC_STATUS)0x00000007

//
//   The operation requires a Smart Card, but no Smart Card is currently in the device
//
#define EZSMC_NO_MEDIA              (EZSMC_STATUS)0x00000008

//
//   The specified smart card name is not recognized
//
#define EZSMC_UNKNOWN_CARD          (EZSMC_STATUS)0x00000009

//
//   The reader or smart card is not ready to accept commands
//
#define EZSMC_NOT_READY             (EZSMC_STATUS)0x0000000A

//
//   One or more of the supplied parameters values could not be properly interpreted
//
#define EZSMC_INVALID_VALUE         (EZSMC_STATUS)0x0000000B

//
//   An internal communications error has been detected  
//
#define EZSMC_COMM_ERROR            (EZSMC_STATUS)0x0000000C

//
//   The device is processing, transmiting, or receiving.
//
#define EZSMC_DEVICE_BUSY           (EZSMC_STATUS)0x0000000D

//
//   An ATR obtained from the device is not a valid ATR string
//
#define EZSMC_INVALID_ATR           (EZSMC_STATUS)0x0000000E

//
//   The reader driver does not meet minimal requirements for support
//
#define EZSMC_READER_UNSUPPORTED    (EZSMC_STATUS)0x0000000F

//
//   The smart card does not meet minimal requirements for support
//
#define EZSMC_CARD_UNSUPPORTED      (EZSMC_STATUS)0x00000010

//
//   The smart card does not power
//
#define EZSMC_UNPOWERED_CARD        (EZSMC_STATUS)0x00000011

//
//   The other errors have occurs 
//
#define EZSMC_FAILURE               (EZSMC_STATUS)0x00000012

//
//   The data of transmiting to or receiving from the reader have some error
//
#define EZSMC_DEVICE_DATA_ERROR     (EZSMC_STATUS)0x00000013

//
//   The CRC obtained from the reader is incorrect
//
#define EZSMC_CRC_ERROR             (EZSMC_STATUS)0x00000014

//
//   The LRC obtained from the reader is incorrect
//
#define EZSMC_LRC_ERROR             (EZSMC_STATUS)0x00000015

//
//   The I/O operations timeout
//
#define EZSMC_IO_TIMEOUT            (EZSMC_STATUS)0x00000016

//
//   The kernel resource is insufficient
//
#define EZSMC_INSUFFICIENT_RESOURCE (EZSMC_STATUS)0x00000017

//
//   No reader is connected
//
#define EZSMC_NO_READER_FOUND       (EZSMC_STATUS)0x00000018 

//
//   There is more data to send
//
#define EZSMC_MORE_PROCESSING_REQUIRED	(EZSMC_STATUS)0x00000019

//
// Cannot recognize the card in reader or there is no card in reader
//
#define EZSMC_UNRECOGNIZED_MEDIA		(EZSMC_STATUS)0x0000001A

//
// Request to the device is invalid
//
#define EZSMC_INVALID_DEVICE_REQUEST	(EZSMC_STATUS)0x0000001B

//
// upper had requested a unsupported function
//
#define EZSMC_NOT_SUPPORTED				(EZSMC_STATUS)0x0000001C

//
// ICC Abort the request
//
#define EZSMC_CARD_ABORT                (EZSMC_STATUS)0x0000001D

//
// IFD Abort the request
//
#define EZSMC_IFD_ABORT                (EZSMC_STATUS)0x0000001E

//
// ICC Return Error
//
#define EZSMC_DEVICE_PROTOCOL_ERROR    (EZSMC_STATUS)0x0000001F

//
// some error occurs when connecting to the card 
//
#define EZSMC_CONNECT_CARD_FAIL		   (EZSMC_STATUS)0x00000020

//
// The reader has been open
//
#define EZSMC_READER_OPENED			   (EZSMC_STATUS)0x00000021	

//
// The Internal Buffer too Small
//
#define EZSMC_DATA_OVERFLOW			   (EZSMC_STATUS)0x00000022

//
// No return of the status of APDU 
//
#define EZSMC_NO_STATUS_DATA		   (EZSMC_STATUS)0x00000023

/**************************************************************************
//
// Status for Memory Card
//
***************************************************************************/

//
// The Memory card is not in the reader
//
#define EZSMC_M_CARD_ABSENT				(EZSMC_STATUS)0x00000101

//
// The Memory card does not response any thing
//
#define EZSMC_M_NO_RESPONSE				(EZSMC_STATUS)0x00000102

//
// Power the card fail
//
#define EZSMC_M_POWER_FAIL				(EZSMC_STATUS)0x00000103

//
// Communication error
//
#define EZSMC_M_COMM_ERROR				(EZSMC_STATUS)0x00000104

//
// Verify codes fail
//
#define EZSMC_M_VERIFY_FAIL				(EZSMC_STATUS)0x00000105

//
// Memory Card Type Error
//
#define EZSMC_M_TYPE_ERROR				(EZSMC_STATUS)0x00000106

//
// The command to the card Error
//
#define EZSMC_M_COMMAND_ERROR			(EZSMC_STATUS)0x00000107

//
// Counter of card is empty
//
#define EZSMC_M_COUNTER_EMPTY			(EZSMC_STATUS)0x00000108

//
// The card is locked
//
#define EZSMC_M_CARD_LOCKED				(EZSMC_STATUS)0x00000109

//
// Write to the card error
//
#define EZSMC_M_WRITE_ERROR				(EZSMC_STATUS)0x0000010A

//
// Check if previously written data is really written
//
#define EZSMC_M_CHECK_ERROR				(EZSMC_STATUS)0x0000010B

//
// Other fail
//
#define EZSMC_M_OTHER_FAIL				(EZSMC_STATUS)0x0000010C
#endif